Page MenuHomePhabricator

The way to search blocked usernames in block log should be clearer
Closed, ResolvedPublic

Description

Author: silsor

Description:
Filling out either the "user" and "title" fields in the block log return the same
page, which only searches for the user who performed the action. The "user" and
"title" fields should be renamed something like "performer" and "target" so that
they will make sense for all the logs, and it should be possible to search for
blocked usernames, not just the names of the users who did the blocking.


Version: 1.11.x
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Special:Log/block

Details

Commits
Unknown Object (Diffusion Commit)
Reference
bz1697

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 8:14 PM
bzimport set Reference to bz1697.
bzimport created this task.Mar 14 2005, 7:42 PM

title field expect a title for example :
_ User:Blockeduser
_ User:192.168.123.45

Probably need something easier to figure.

I ran across this. It is exceedingly confusing for those of us who have not had
training in its use. Putting in the IP does nothing in either box, making it
seem like it's not possible to search for IPs, even when you know it should be.

ayg wrote:

*** Bug 9986 has been marked as a duplicate of this bug. ***

ayg wrote:

IP addresses will never show an account creation log entry, because IP addresses are not accounts and are not created. The other two do show such an entry. Older accounts (e.g., mine) do not. Note that user account creation uses the "User" field for the created account, not the Title field (which is empty for account creations).

Anyway, this seems to be as straightforward as changing "Title" to "Target". Perhaps context-sensitive input field titles would be a good idea?

Huji added a comment.Feb 11 2008, 9:46 AM

A similar bug (bug 12984) has been reported. Any progress here?

RSYQFIOJGWZA wrote:

(In reply to comment #6)

A similar bug (bug 12984) has been reported. Any progress here?

Sadly, no progress has been reported here lately. This bug appears to be a special case of the more general bug 12984.

mike.lifeguard+bugs wrote:

(In reply to comment #0)

Filling out either the "user" and "title" fields in the block log return the
same
page, which only searches for the user who performed the action. The "user"
and
"title" fields should be renamed something like "performer" and "target" so
that
they will make sense for all the logs, and it should be possible to search for
blocked usernames, not just the names of the users who did the blocking.

This is generally done with the system message. Since the default system message is so obviously substandard, it should be improved. I am unsure the fields need to be renamed though.

Fix send with r103711

Revision is still pending code revision.

This is fixed, right?

hashar added a comment.Feb 2 2012, 4:31 PM

(In reply to comment #11)

This is fixed, right?

Yes! Aaron marked r103711 reviewed. So that will land with 1.19 deployement on WMF and in 1.19.0.

epriestley added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:22 AM